#
# spec file for package zip (Version 2.31)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           zip
License:        Other License(s), see package, BSD
Group:          Productivity/Archiving/Compression
Provides:       crzip
Obsoletes:      crzip
Autoreqprov:    on
Version:        2.31
Release:        15.2
Summary:        File compression program
URL:            http://www.freesoftware.com/pub/infozip/
Source:         ftp://ftp.info-zip.org/pub/infozip/src/zip231.tar.gz
Patch:          zip-2.31-install.patch
Patch1:         zip-2.3-tempfile.patch
Patch2:         zip-2.3-iso8859_2.patch
Patch3:         zip-2.3-nonexec-stack.patch
Patch4:         zip-2.3-optflags.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Zip is a compression and file packaging utility. It is compatible with
PKZIP(tm) 2.04g (Phil Katz ZIP) for MS-DOS systems.



Authors:
--------
    Info-ZIP <zip-bugs@lists.wku.edu>

%debug_package
%prep
%setup -q
%patch
%patch1 -p1
%patch2
%patch3
%patch4 -p1

%build
make -f unix/Makefile prefix=/usr CC="gcc $RPM_OPT_FLAGS -DLARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64" generic_gcc

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
make install -f unix/Makefile BINDIR=$RPM_BUILD_ROOT/usr/bin MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc BUGS CHANGES INSTALL LICENSE MANUAL README TODO WHATSNEW WHERE
%doc %{_mandir}/man1/zip.1.gz
/usr/bin/zip
/usr/bin/zipcloak
/usr/bin/zipnote
/usr/bin/zipsplit

%changelog -n zip
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Dec 15 2005 - pth@suse.de
- Compile with (limited) large file support. This will support
  single files exceeding 2 GB as long as the archive stays below
  that theshold.
* Mon Oct 31 2005 - dmueller@suse.de
- build with non-executable stack
* Mon Jul 18 2005 - rommel@suse.de
- update to version 2.31 (has the crypto stuff previously in zip-2.3.patch,
  obsoletes zip-longpath.patch, a few more fixes)
* Mon Apr 25 2005 - meissner@suse.de
- correctly use RPM_OPT_FLAGS.
* Thu Dec 02 2004 - rommel@suse.de
- reworked zip-longpath.patch, missing free's after malloc
* Thu Nov 11 2004 - rommel@suse.de
- added zip-longpath.patch (Bugzilla #47932)
* Fri Jan 09 2004 - adrian@suse.de
- build as user
* Wed Sep 18 2002 - ro@suse.de
- removed bogus self-provides
* Thu Jan 24 2002 - grimmer@suse.de
- added zip-2.3-iso8859_2.patch to fix coding conversion
  between Microsoft and Linux file names
  (originally from http://www.axis.cz/linux/zip_unzip.php3,
  enhanced to support both ISO8859-1 and ISO8859-2 by Petr Mladek
  <pmladek@suse.cz>)
* Wed Jan 23 2002 - okir@suse.de
- Fixed tempfile race
* Mon Jun 18 2001 - schwab@suse.de
- Fix cpp directives inside macro call.
* Thu Dec 14 2000 - grimmer@suse.de
- added encryption patch
- bzipped sources
- now Provides and Obsoletes crzip
* Wed Mar 01 2000 - schwab@suse.de
- /usr/man -> /usr/share/man
* Fri Dec 17 1999 - grimmer@suse.de
- Update to 2.3
- Spec file cleanups
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Feb 22 1999 - grimmer@suse.de
- New version (2.2)
- specfile updates
- added french PAC-info
* Thu Feb 06 1997 - rj@suse.de
- Version 2.01:
- ownerships changed
- some cosmetic changes
